import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';

const FormItem = Form.Item;


export default class T28D extends Component
{

    name='28D'
    desp = "Message Index/Total"
    
    pattern = "	5n/5n"
    tno = -1

    keys=[1,2]

    constructor(props)
    {
        super(props)
        
    }

    componentWillMount()
    {
        
    }

    onChange=(index,value)=>
    {
        let obj = {};
        if(!value)
            value = ""
        let objtemp =this.props.value
        
        objtemp = objtemp && objtemp.length? objtemp[0] : {}

        objtemp["s"+index] = value;

        this.keys.forEach(i=>{
            obj['s'+i] = objtemp['s'+i]
        });
        
        let mval = `${obj.s1||''}${obj.s2?`/${obj.s2}`:''}`
        this.props.onValue([obj,mval])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}
        
    
        return (<Row>
            <Col span={6}>
            <FormItem
                 required={this.props.status=='M' || mval?'required':null}
                  help={errmsg.s1}
                    validateStatus={errmsg.s1?'error':null}
                 label="Statement Number"
                >
                        
                        <Input readOnly={this.readonly} type= "text" maxLength={5}  style={{imeMode:'disabled'}} placeholder="Number" value={value.s1} onChange={(e)=>this.onChange(1,e.target.value)}/>
                </FormItem>
            
            </Col>
            
            <Col span={6}>
            <FormItem
                 help={errmsg.s2}
                 required={this.props.status=='M' || mval?'required':null}
                    validateStatus={errmsg.s2?'error':null}
                 label="Sequence Number"
                >
                        
                        <Input readOnly={this.readonly} type= "text" addonBefore="/" maxLength={5}  style={{imeMode:'disabled'}} placeholder="Sequence Number" value={value.s2} onChange={(e)=>this.onChange(2,e.target.value)}/>
                </FormItem>
            
            </Col>
        </Row>)
    }
}